function y = conddc(z, a, aa, v, r, qmat, n, plow)
% This function computes the derivative of the search cost values Delta_i
% with respect to the q_i's

% Written by Matthijs R. Wildenbeest, October 2007.
% Modified by Jason R. Blevins for thread safety, April 2014.

term = 0;
term2 = 0;
for k = 2:n
    term = term + k*qmat(k);
    term2 = term2 + k*qmat(k).*(1-z).^(k-1);
end

if (aa == 1)
    y = ((plow-v).*(1-z).^(a-1).*((a+1).*z-1).*(-term2).*(term-term2))./(term.*(qmat(1)+term2).^2);
else
    y = aa.*(1-z).^(a-1).*((a+1).*z-1).*qmat(1).*((v-plow)./term.^2-(z-1).^(aa-1).*(v-plow+(v-plow).*qmat(1)./term)./(qmat(1)+term2).^2-(v-plow).*qmat(1)./(term.^2.*(qmat(1)+term2)));
end
