function y = condc(z, a, v, r, qmat, n)
% This function computes the integrand used to calculate critical search
% cost values Delta_i

% Written by Matthijs R. Wildenbeest, October 2007.
% Modified by Jason R. Blevins for thread safety, April 2014.

term = 0;
for k = 1:n
    term = term + k*qmat(k).*(1-z).^(k-1);
end
y = ((a+1)*z-1).*(1-z).^(a-1).*(((v-r).*qmat(1))./term+r);
